export function loadLocalization(locale: any): Promise<any>;
export function updateStartOfWeek(startOfWeekDayName: any): void;
export function setLocalization(translationsObject: any): void;
export function withInstanceLanguage(f: any): any;
export function siteLocale(): any;
/**
 * In static embeddings/public links, there is no user locale, since there is no user in static embeddings/public links.
 * But we reset the locale to the site locale when `withInstanceLanguage` is called. This breaks static embeddings/public links
 * since they don't have a user locale. So this function is for them to set the locale from a URL hash as the user locale,
 * then the translation on some part of FE still works even after `withInstanceLanguage` is called.
 *
 * @param {object} translationsObject A translated object with the same structure as the one produced in `loadLocalization` function.
 */
export function setUserLocale(translationsObject: object): void;
